dofile("scripts/entities/entityinclude.lua")

giggled = false

function init(me)
	node_setCursorActivation(me, true)
end

function activate(me)

	screenFadeCapture()
	setCameraLerpDelay(0.0001)
	cam_toEntity(getEntity("SongDoor1"))
	screenFadeGo(3)
	watch(3)
	if not giggled then
		emote(EMOTE_NAIJAGIGGLE)
		giggled = true
	end
	watch(2)
	
	screenFadeCapture()
	cam_toEntity(getNaija())
	screenFadeGo(2)
	
	watch(1)
	
	setCameraLerpDelay(0)
end

